Skip to main content
GET
/
clippings
/
all
List clipping jobs
curl --request GET \
  --url https://mvp.tryunsora.com/api/v1/clippings/all \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://mvp.tryunsora.com/api/v1/clippings/all"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://mvp.tryunsora.com/api/v1/clippings/all', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "videoUrl": "<string>",
      "error": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "clips": [
        {
          "id": "<string>",
          "order": 123,
          "title": "<string>",
          "startTime": 123,
          "endTime": 123,
          "duration": 123,
          "status": "<string>",
          "outputAsset": {},
          "thumbnailAsset": {},
          "metadata": {}
        }
      ],
      "config": {
        "sourceLang": "<string>",
        "targetLang": "<string>",
        "query": "<string>",
        "limit": 123,
        "enableCaption": true,
        "captionStyle": "<string>"
      },
      "creditsUsed": 123
    }
  ]
}
GET /clippings/all

Response

{
  "success": true,
  "data": [
    {
      "id": "clip_job_123",
      "status": "COMPLETED",
      "videoUrl": "https://example.com/long-form.mp4",
      "error": null,
      "createdAt": "2026-06-02T12:00:00.000Z",
      "updatedAt": "2026-06-02T12:05:00.000Z",
      "clips": [
        {
          "id": "clip_1",
          "order": 0,
          "outputAsset": { "url": "https://files.tryunsora.com/....mp4" }
        }
      ]
    }
  ]
}

Example

curl "https://mvp.tryunsora.com/api/v1/clippings/all" \
  -H "Authorization: Bearer uns_live_YOUR_API_KEY"

Authorizations

Authorization
string
header
required

Clerk session JWT or Unsora API key (uns_live_*)

Response

200 - application/json

List

success
boolean
required
data
object[]
required